#!/bin/sh
#
#
# PROVIDE: cxmload
# REQUIRE: FILESYSTEMS
# BEFORE: netif
# KEYWORD: shutdown

#

. /etc/rc.subr

name="cxmload"
rcvar=${name}_enable

: ${cxmload_enable:="NO"}

start_cmd=${name}_start
stop_cmd=${name}_stop

cxmload_start() {
	if ! /sbin/kldstat | grep -w cxm.ko >/dev/null; then
		echo "Loading the cxm kmod."
		/sbin/kldload cxm.ko
	else
		echo "The cxm kmod is already loaded."
	fi
}

cxmload_stop() {
	echo "Dummy - we don't unload the cxm kmod."
}

load_rc_config ${name}
run_rc_command "$1"
